Module 5 · 5.2
Nederlands
Agenda en contacten exporteren uit Google en Microsoft
Module 5: Agenda en contacten · Leestijd: 12 minuten
Leerdoel: Na deze les kun je een volledige en bruikbare export maken van agenda's en contacten uit Google en Microsoft, een ICS- en vCard-bestand lezen, en weet je wat er bij exporteren niet of anders meegaat.
Kernbegrippen: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE en TZID, ORGANIZER en ATTENDEE, VALARM, vCard (VCF) 3.0 en 4.0, csv, Google Takeout, migratietool
Twee bestandsformaten die bijna iedereen kent
Agenda's en contacten verhuis je met twee open formaten:
- iCalendar, bestanden met de extensie
.ics(RFC 5545), voor agenda's en taken. - vCard, bestanden met de extensie
.vcf, voor contactpersonen. Er zijn twee versies die je tegenkomt: 3.0 (RFC 2426) en 4.0 (RFC 6350).
Het zijn gewone tekstbestanden. Je kunt ze openen in een teksteditor, en dat is precies wat je in deze les gaat doen. Wie weet wat erin staat, ziet ook wat er mist.
Er is vaak een makkelijkere weg dan exporteren: veel nieuwe diensten hebben een migratietool die met jouw toestemming rechtstreeks bij Google of Microsoft je agenda's en contacten ophaalt. Dat gaat sneller en met minder fouten. Toch is een eigen export verstandig: als controle (hoeveel afspraken en contacten had ik?), als back-up voor je de oude dienst opzegt, en als uitweg als de migratietool niet mag van je beheerder.
Zo ziet een agenda-bestand eruit
Een export van de agenda van Bakkerij De Korrel begint zo:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARWat je ziet:
| Regel | Betekenis | Waar het mis kan gaan |
|---|---|---|
BEGIN:VCALENDAR en VERSION:2.0 | dit is een iCalendar-bestand | ontbreekt het, dan weigert de import |
BEGIN:VEVENT ... END:VEVENT | één afspraak | een ontbrekende END maakt de rest onleesbaar |
UID | het vaste kenmerk van de afspraak | zonder UID kan de server dubbelen niet herkennen |
DTSTART;TZID=... | begintijd in een tijdzone | zie tijdzones hieronder |
RRULE | herhaalregel: elke dinsdag | een ongeldige regel geeft één afspraak in plaats van een reeks |
EXDATE | uitzondering: deze dinsdag niet | |
ORGANIZER, ATTENDEE | wie uitnodigde en wie is uitgenodigd | zie uitnodigingen hieronder |
VALARM | herinnering, 30 minuten vooraf | niet elke dienst neemt herinneringen over |
Tijdzones
Een tijd met TZID=Europe/Amsterdam betekent: 6 uur 's ochtends in Amsterdam, ook na de overgang naar zomertijd. Het bestand hoort dan ook een blok VTIMEZONE te bevatten dat die tijdzone beschrijft. Exports uit Outlook gebruiken vaak Windows-namen als W. Europe Standard Time. Dat gaat goed zolang het VTIMEZONE-blok erbij zit. Ontbreekt het, dan raadt de nieuwe dienst, en zie je afspraken een uur verschoven. Een tijd die eindigt op Z (20261110T050000Z) is in UTC en altijd eenduidig. Een tijd zonder tijdzone en zonder Z heet een "zwevende" tijd: die geldt in de tijdzone van wie hem bekijkt.
Hele-dagafspraken staan als datum zonder tijd: DTSTART;VALUE=DATE:20261224.
Uitnodigingen
Een afspraak die jij organiseerde, staat met jou als ORGANIZER in het bestand. Na de import staat hij in je nieuwe agenda, maar de deelnemers hebben hem in hun eigen agenda nog als uitnodiging van je oude adres, met een UID van de oude dienst. Wijzig je de afspraak later, dan krijgen ze een nieuwe uitnodiging. Bij terugkerende vergaderingen met externen kan het netter zijn ze na de overstap opnieuw uit te nodigen. Afspraken waarvoor jij bent uitgenodigd, komen als gewone afspraak mee; antwoorden aan de organisator gaan via mail.
Exporteren uit Google
- Agenda: in Google Agenda, bij Instellingen, het onderdeel Importeren en exporteren, de knop Exporteren. Je krijgt een zip-bestand met een ics-bestand per agenda waarvan je eigenaar bent. Agenda's die anderen met je delen, zitten daar niet in; die exporteert de eigenaar, of je exporteert ze per agenda vanuit de instellingen van die agenda als dat mag.
- Contacten: in Google Contacten selecteer je de contacten (of alle), kies je Exporteren en dan de vCard-indeling. Google biedt ook "Google CSV" en "Outlook CSV"; neem vCard, dat behoudt de structuur (meerdere telefoonnummers, adressen, foto).
- Alles in één keer: Google Takeout (takeout.google.com) levert de agenda als ics, contacten als vcf (of csv) en Gmail als mbox, in zip-bestanden. Handig als back-up van het hele account.
De menunamen veranderen af en toe; zoek bij twijfel in de hulp van Google op "agenda exporteren".
Exporteren uit Microsoft
- Agenda: in het klassieke Outlook voor Windows kun je een agenda opslaan als iCalendar-bestand (Opslaan als, met keuze van de periode en "volledige details"). Kies een periode die ver genoeg terug en vooruit gaat, en kies volledige details, anders exporteer je alleen vrij/bezet. In Outlook op het web kun je een agenda publiceren als ICS-link en het bestand via die link downloaden; zet de publicatie daarna weer uit.
- Contacten: Outlook op het web exporteert contacten als csv, niet als vCard. Klassiek Outlook exporteert in bulk ook naar csv; vCard kan daar alleen per contact. Een csv-bestand kunnen veel CardDAV-diensten niet rechtstreeks importeren. Twee uitwegen: de migratietool van je nieuwe dienst gebruiken (die haalt contacten rechtstreeks op), of de csv importeren in een adresboek van Thunderbird en daar als vCard exporteren.
- Gedeelde agenda's en ruimte-agenda's zijn agenda's van de organisatie. Die exporteert de beheerder, of je zet ze opnieuw op in de nieuwe dienst.
Wat er bij exporteren niet of anders meegaat
| Onderdeel | Wat er gebeurt |
|---|---|
| Bijlagen bij afspraken | gaan meestal niet mee; alleen een link, of niets |
| Kleuren en categorieën | soms als CATEGORIES, vaak niet |
| Herinneringen | soms, afhankelijk van de dienst |
| Videovergaderlinks (Teams, Meet) | blijven als tekst in de afspraak staan, maar werken na het opzeggen niet meer |
| Contactgroepen of labels | niet altijd; controleer na de import |
| Contactfoto's | gaan mee in vCard, maar maken het bestand groot |
Tellen voor je verder gaat
Schrijf vóór de export op hoeveel contacten je hebt en, voor een paar agenda's, hoeveel afspraken er in een vaste periode staan (bijvoorbeeld november). Na de import tel je opnieuw. Dat is de snelste manier om te zien dat er iets mist. In de opdracht van deze les laat je het programma je bestanden tellen en controleren.
In de praktijk: zo ziet het eruit bij een aanbieder
In een WebOké Nextcloud zijn er twee migratietools die rechtstreeks ophalen: de WebOké Import Tool voor Google (Drive, Foto's, Agenda en Contacten) en Gegevensmigratie voor OneDrive en Microsoft 365, waarmee je ook contacten en agenda's uit je Microsoft-account importeert. Komt je agenda ergens anders vandaan, dan importeer je ics- en vCard-bestanden zelf (les 5.3). Nextcloud leest vCard 3.0 en 4.0. Bij andere Europese diensten bestaan vergelijkbare importtools of een importknop in de agenda en het adresboek; de bestandsformaten zijn overal dezelfde.
Samenvatting
- Agenda's verhuis je als ics (iCalendar), contacten als vcf (vCard 3.0 of 4.0); het zijn leesbare tekstbestanden.
- Een migratietool die rechtstreeks ophaalt is vaak makkelijker, maar maak toch een eigen export als controle en back-up.
- Let in een ics-bestand op UID, RRULE, en tijdzones met een VTIMEZONE-blok; zonder dat verschuiven afspraken.
- Outlook op het web exporteert contacten alleen als csv; gebruik een migratietool of zet de csv om naar vCard.
- Tel vooraf contacten en afspraken, zodat je na de import kunt zien of er iets mist.
Quiz
Opdracht
Opdracht A5.2: Je testexport controleren. Exporteer een agenda (ics) en je contacten (vcf). Vul eerst in hoeveel contacten je hebt en hoeveel afspraken je verwacht. Upload daarna de bestanden. Het programma controleert of ze geldig zijn, telt afspraken, herhalingen en contacten, zoekt tijdzones zonder beschrijving en dubbele contacten, en vergelijkt met jouw aantallen. De bestanden worden alleen gelezen en niet bewaard.
Opdracht E5.2: Wat gaat er niet mee? Open je ics-bestand in een teksteditor. Zoek een terugkerende afspraak, een afspraak met deelnemers en een afspraak met een videovergaderlink. Noteer per afspraak wat je na de overstap moet doen.
Opdracht E5.2: Wat gaat er niet mee?
Open je eigen ics-bestand in een teksteditor.
Je vinkjes en aantekeningen blijven alleen in deze browser; we sturen ze nergens heen. Ben je aangemeld, dan bewaren we in Mijn cursussen alleen dat je de opdracht gedaan hebt.
Verder lezen
De stappen in deze artikelen gelden voor de diensten van WebOké; bij andere aanbieders werkt het vergelijkbaar.
- Nextcloud handleiding 13.5: Agenda en contacten overzetten vanuit Google, iCloud of Outlook (ics en vCard)
- Nextcloud handleiding 13.2: Google Drive, Foto's, Agenda en Contacten overzetten met de WebOké Import Tool
- Nextcloud handleiding 13.4: OneDrive overzetten met Gegevensmigratie
- Nextcloud handleiding 13.6: Van Microsoft 365 naar WebOké: bestanden, documenten, mail en agenda
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Google Agenda-hulp: Gebeurtenissen exporteren; Google Contacten-hulp: Contacten exporteren; Microsoft-ondersteuning: Contactpersonen exporteren uit Outlook
